QGIS Application - Feature request #12991

"build virtual vector": add option to allow add the layers as "unioned"

2015-06-18 04:18 AM - Giovanni Manghi

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/QGIS

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 21069
Description

The vrt created by the tool does not have the

<OGRVRTUnionLayer>

tag that allows load the layers inside the vrt as one unique layer.
It would be nice to have it as option.

example
<OGRVRTDataSource>

<OGRVRTUnionLayer name="UnionedLayer">
<OGRVRTLayer name="caop_2013_costa">

<SrcDataSource relative ToVRT="0" shared="1">/home/giovanni/caop_2013_costa.shp</SrcDataSource>

<SrclLayer>caop_2013_costa</SrcLayer>
<Geometry Type>wkbPolygon</Geometry Type>
</OGRVRTLayer>
<OGRVRTLayer name="caop_2013">

<SrcDataSource relative TOVRT="0" shared="1">/home/giovanni/caop_2013.shp</SrcDataSource>

<SrcLayer>caop_2013</SrcLayer>
<Geometry Type>wkbPolygon</GeometryType>
</OGRVRTLayer>
</OGRVRTUnionLayer>
</OGRVRTDataSource>

Associated revisions

Revision 6796104 - 2016-03-25 02:19 PM - Alexander Bruy

[processing] refactor Virtual vector layer algorithm
Add support for unioned layers (fix #12991)

History

#1 - 2016-03-25 06:19 AM - Alexander Bruy
- Status changed from Open to Closed

Fixed in changeset commit:"6f7961044f89acefb53371e1dc1b2481cb5e1d71".
